﻿@model System.Collections.Generic.List<DataBaseFinalProject.Models.ExpenseCategory>

@{
ViewBag.Title = "Expense Categories";
Layout = "_Layout";
}

<h2 class="my-4">@ViewBag.Title</h2>

<p>
    <a asp-action="Create" class="btn btn-primary mb-3">Create Expense Category</a>
</p>

<div class="table-responsive">
    <table class="table table-striped table-bordered">
        <thead class="thead-dark">
        <tr>
            <th scope="col">Id</th>
            <th scope="col">Name</th>
            <th scope="col">Created At</th>
            <th scope="col">Actions</th>
        </tr>
        </thead>
        <tbody>
        @foreach (var expenseCategory in Model)
        {
        <tr>
            <td>@expenseCategory.Id</td>
            <td>@expenseCategory.Name</td>
            <td>@expenseCategory.CreatedAt.ToString("dd/MM/yyyy")</td>
            <td>
                <a class="btn btn-sm btn-primary" asp-action="Edit" asp-route-Id="@expenseCategory.Id">Edit</a>
                <button type="button" class="btn btn-sm btn-danger" onclick="deleteExpenseCategory('@expenseCategory.Id')">Delete</button>
                <form id="deleteForm_@expenseCategory.Id" asp-action="Delete" asp-route-id="@expenseCategory.Id" method="post" style="display:none;">
                </form>
            </td>
        </tr>
        }
        </tbody>
    </table>
</div>

@section Scripts {
<script>
    function deleteExpenseCategory(expenseCategoryId) {
        if (confirm('Are you sure you want to delete this expense category?')) {
            document.getElementById('deleteForm_' + expenseCategoryId).submit();
        }
    }
</script>
}
